### Constructor

# PapersDocument RenderContext new

#### Declaration [src]

    PpsRenderContext*
    pps_render_context_new (
      PpsPage* page,
      gint rotation,
      gdouble scale,
      PpsRenderAnnotsFlags annot_flags
    )

#### Description

No description available.

#### Parameters

`page`

  Type: `PpsPage`

  No description available.

  The data is owned by the caller of the function.

`rotation`

  Type: `gint`

  No description available.

`scale`

  Type: `gdouble`

  No description available.

`annot_flags`

  Type: `PpsRenderAnnotsFlags`

  No description available.

#### Return value

Type: `PpsRenderContext`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.